Bug 734255 - javassist fragment file contains macros
Summary: javassist fragment file contains macros
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: javassist
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Andy Grimm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-29 21:46 UTC by Andy Grimm
Modified: 2016-11-08 03:45 UTC (History)
2 users (show)

Fixed In Version: javassist-3.14.0-4.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-26 23:24:09 UTC


Attachments (Terms of Use)

Description Andy Grimm 2011-08-29 21:46:09 UTC
Description of problem:
/etc/maven/fragments/javassist contains macros:

<dependency>
    <maven>
        <groupId>javassist</groupId>
        <artifactId>javassist</artifactId>
        <version>3.14.0%{ext_ver}</version>
    </maven>
    <jpp>
        <groupId>JPP</groupId>
        <artifactId>javassist</artifactId>
        <version>3.14.0%{ext_ver}</version>
    </jpp>
</dependency>


Version-Release number of selected component (if applicable):
3.14.0-2.fc15

I suspect that "-GA" should have been substituted for %{ext_ver} somewhere in the package build.

Comment 1 Andy Grimm 2011-08-29 21:48:01 UTC
as the dist tag indicates, this package was built in F15.  I originally reported this against F16, but both are affected.

Comment 2 john5342 2011-08-29 22:25:10 UTC
Indeed there is. Looks like the last person to update the package removed all the %{ext_ver} references including the definition and in the process either forgot it is still in use or forgot to remove that one usage.

I think it should probably be kept though to ensure packages looking for a specific version can find it.

Comment 3 Fedora Admin XMLRPC Client 2011-08-30 20:36:48 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora Update System 2011-08-30 21:04:07 UTC
javassist-3.14.0-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/javassist-3.14.0-4.fc16

Comment 5 Fedora Update System 2011-08-30 21:18:47 UTC
javassist-3.14.0-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/javassist-3.14.0-4.fc15

Comment 6 Andy Grimm 2011-08-30 22:48:00 UTC
Rawhide build failed in koji.  The relevant error is:

[ERROR] Failed to execute goal
org.apache.maven.plugins:maven-resources-plugin:2.5:resources
(default-resources) on project javassist: Execution default-resources
of goal org.apache.maven.plugins:maven-resources-plugin:2.5:resources
failed: An API incompatibility was encountered while executing
org.apache.maven.plugins:maven-resources-plugin:2.5:resources:
java.lang.NoSuchMethodError:
org.apache.maven.shared.filtering.MavenResourcesExecution.setSupportMultiLineFiltering(Z)V

The full log is here:
http://koji.fedoraproject.org/koji/getfile?taskID=3313236&name=build.log

My guess is that either maven-resources-plugin or maven-filtering-plugin needs a fix here.

Comment 7 Andy Grimm 2011-08-31 16:03:02 UTC
Rawhide fixed in javassist-3.14.0-5.fc17.noarch.rpm

Comment 8 Fedora Update System 2011-08-31 21:43:42 UTC
Package javassist-3.14.0-4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing javassist-3.14.0-4.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/javassist-3.14.0-4.fc16
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2011-09-26 23:24:04 UTC
javassist-3.14.0-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-10-09 19:42:22 UTC
javassist-3.14.0-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.